Subject: [PATCH v2 04/13] regulators: Versatile Express regulator driver

From: [email-masked] (Mark Brown)
Date: Thu, 20 Sep 2012 19:15:09 +0100

On Thu, Sep 20, 2012 at 06:34:32PM +0100, Pawel Moll wrote:

> These calculations try to maximize the range, but in most cases it's
> impossible to be exactly in line with constraints. The delta should be
> less then 1%, eg. in my test case I get:

No, what I mean is that we don't want steps of 343uV or something.

> 1. Something like bool "regulator_desc.linear"

> 2. A magic value for regulator_desc.n_voltages, something like
> 	#define N_VOLTAGES_LINEAR (~0)

> Does any of them seem reasonable?

The former of them seems much more tasteful, though I'd go with
continuous_volt or something, we already have linear maps.